Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Kokyu_Factory Class Reference

Extend the default factory to support scheduling. More...

`#include <EC_Kokyu_Factory.h>`

Inheritance diagram for TAO_EC_Kokyu_Factory:

[legend]
Collaboration diagram for TAO_EC_Kokyu_Factory:

[legend]
List of all members.

## Public Methods

| TAO_EC_Kokyu_Factory (void)
| Constructor.
virtual | ~TAO_EC_Kokyu_Factory (void)
| destructor...
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual TAO_EC_Dispatching * | create_dispatching (TAO_EC_Event_Channel_Base *)
| Create and destroy the dispatching module.
virtual TAO_EC_Filter_Builder * | create_filter_builder (TAO_EC_Event_Channel_Base *)
| Create and destroy the filter builder.
virtual TAO_EC_Timeout_Generator * | create_timeout_generator (TAO_EC_Event_Channel_Base *)
| Create and destroy the timer module.
virtual TAO_EC_Scheduling_Strategy * | create_scheduling_strategy (TAO_EC_Event_Channel_Base *)
| Create and destroy the observer strategy.

## Static Public Methods

int | init_svcs (void)

## Private Attributes

int | disp_sched_policy_
int | disp_sched_scope_

## Detailed Description

Extend the default factory to support scheduling.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Kokyu_Factory::TAO_EC_Kokyu_Factory | ( | void |  | ) |

| Constructor.

TAO_EC_Kokyu_Factory::~TAO_EC_Kokyu_Factory | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

TAO_EC_Dispatching * TAO_EC_Kokyu_Factory::create_dispatching | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the dispatching module. Reimplemented from TAO_EC_Default_Factory.

TAO_EC_Filter_Builder * TAO_EC_Kokyu_Factory::create_filter_builder | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the filter builder. Reimplemented from TAO_EC_Default_Factory.

TAO_EC_Scheduling_Strategy * TAO_EC_Kokyu_Factory::create_scheduling_strategy | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the observer strategy. Reimplemented from TAO_EC_Default_Factory.

TAO_EC_Timeout_Generator * TAO_EC_Kokyu_Factory::create_timeout_generator | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the timer module. Reimplemented from TAO_EC_Default_Factory.

int TAO_EC_Kokyu_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_EC_Default_Factory.

int TAO_EC_Kokyu_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from TAO_EC_Default_Factory.

int TAO_EC_Kokyu_Factory::init_svcs | ( | void |  | ) | `[static]`

| Helper function to register the Kokyu factory into the service configurator. Reimplemented from TAO_EC_Default_Factory.

## Member Data Documentation

int TAO_EC_Kokyu_Factory::disp_sched_policy_`[private]`

int TAO_EC_Kokyu_Factory::disp_sched_scope_`[private]`

The documentation for this class was generated from the following files:

- EC_Kokyu_Factory.h
- EC_Kokyu_Factory.cpp
- EC_Kokyu_Factory.i